import {create} from 'zustand'
import {Bucket, S3File} from "../interfaces/connection";

interface StoreFile {
    bucket: Bucket;
    file_list: S3File[];
}

export const useStoreFile = create<StoreFile>()((set) => ({
    bucket: {name: '', created_at: 0},
    file_list: [],
}))
